using examPrepare.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace examPrepare.ViewModels
{
  public class OrderViewModel : INotifyPropertyChanged
  {
    private List<ProductModel> _products = new List<ProductModel>();
    public List<ProductModel> Products { get { return _products; } set { _products = value; OnPropertyChanged("Products"); } }
    public string orderNumber { get; set; } = String.Empty;
    public OrderViewModel() 
    { 
      
    }
    public event PropertyChangedEventHandler PropertyChanged;
    protected void OnPropertyChanged(string propertyName)
    {
      PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
    }
  }
}
